<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_bg"
        android:layout_width="match_parent"
        android:layout_height="@dimen/playmate_detail_header_height"
        app:actualImageScaleType="centerCrop"
        app:failureImage="@drawable/common_default_avatar_ic"
        app:failureImageScaleType="centerCrop"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:placeholderImage="@drawable/common_default_avatar_ic"
        app:placeholderImageScaleType="centerCrop" />

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/playmate_detail_header_cover_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="375:142"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <!--基础信息 -->
    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/cl_user_info"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="16dp"
        android:paddingEnd="8dp"
        android:paddingBottom="12dp"
        app:divider="@drawable/playmate_detail_header_info_divider"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintEnd_toStartOf="@id/cl_star"
        app:layout_constraintStart_toStartOf="@id/iv_bg"
        app:showDividers="middle">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="@color/white"
                android:textSize="18sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toStartOf="@id/v_gender"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

            <com.adealink.weparty.module.profile.widget.GenderView
                android:id="@+id/v_gender"
                style="@style/CommonGenderView"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="24dp"
                app:layout_constraintBottom_toBottomOf="@id/tv_name"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_name"
                app:layout_constraintTop_toTopOf="@id/tv_name" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--位置-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_location"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/cl_user_id"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_location"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/tv_location"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintHorizontal_chainStyle="packed"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/common_location_gray_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_location"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:ellipsize="end"
                    android:fontFamily="@font/poppins_regular"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:textColor="@color/color_FFC9CDD4"
                    android:textSize="12sp"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="@id/iv_location"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_location"
                    app:layout_constraintTop_toTopOf="@id/iv_location"
                    tools:text="JakartaJakartaJakartaJakartaJakartaJakartaJakartaJakartaJakarta" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <!--用户ID-->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_user_id"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginEnd="16dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/cl_location"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginStart="0dp">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_user_id"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/poppins_regular"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_FFC9CDD4"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_goneMarginStart="0dp"
                    tools:text="ID 12345678" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_copy_user_id"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_marginStart="4dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_user_id"
                    app:layout_constraintStart_toEndOf="@id/tv_user_id"
                    app:layout_constraintTop_toTopOf="@id/tv_user_id"
                    app:srcCompat="@drawable/common_copy_id_ic" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--语言-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_language"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_language"
                android:layout_width="16dp"
                android:layout_height="16dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/common_language_gray_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_language"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="16dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_regular"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="@color/color_FFC9CDD4"
                android:textSize="12sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="@id/iv_language"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@id/iv_language"
                app:layout_constraintTop_toTopOf="@id/iv_language"
                tools:text="Indonesia/English/中文/Indonesia/English/中文/Indonesia/English/中文" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_star"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingStart="0dp"
        android:paddingBottom="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_evaluate_star"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_marginEnd="4dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_evaluate"
            app:layout_constraintEnd_toStartOf="@id/tv_evaluate"
            app:layout_constraintTop_toTopOf="@id/tv_evaluate"
            app:layout_constraintVertical_chainStyle="packed"
            app:srcCompat="@drawable/common_star_selected_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_evaluate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="16dp"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="4.2" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="11sp"
            app:layout_constraintEnd_toEndOf="@id/tv_evaluate"
            app:layout_constraintStart_toStartOf="@id/iv_evaluate_star"
            app:layout_constraintTop_toBottomOf="@id/iv_evaluate_star"
            tools:text="订单120123" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>